Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
projects
/
{project_id}
/
hosting
/
{id}
/
ftp-accounts
/
{username}
/
quota
[FTP] Set FTP quota
curl --request POST \
  --url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/hosting/{id}/ftp-accounts/{username}/quota \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "quota_mb": 1
}'

Documentation Index

Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string<uuid>
required

Web hosting unique identifier

organization_id
string<uuid>
required

Organization unique identifier

project_id
string<uuid>
required

Project unique identifier

username
string
required

Body

application/json
quota_mb
integer
required
Required range: x >= 0

Response

Quota set successfully